Next: VxWorks Options, Previous: Visium Options, Up: Submodel Options [Contents][Index]

#### 3.18.52 VMS Options

These ‘`-m`’ options are defined for the VMS implementations:

`-mvms-return-codes`

  Return VMS condition codes from `main`. The default is to return POSIX-style condition (e.g. error) codes.

`-mdebug-main=prefix`

  Flag the first routine whose name starts with prefix as the main routine for the debugger.

`-mmalloc64`

  Default to 64-bit memory allocation routines.

`-mpointer-size=size`

  Set the default size of pointers. Possible options for size are ‘`32`’ or ‘`short`’ for 32 bit pointers, ‘`64`’ or ‘`long`’ for 64 bit pointers, and ‘`no`’ for supporting only 32 bit pointers. The later option disables `pragma pointer_size`.